/*BEGIN OCO COPYRIGHT
 *************************************************************************
 *
 * Licensed Materials - Property of IBM
 * pidnumber 5724-L01,5724-I82,5655-N53,5655-R15
 *(C) Copyright IBM Corporation 2006. All Rights Reserved.
 *US Government Users Restricted Rights- Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 **************************************************************************
 *END OCO COPYRIGHT
 */

/*
 * Created on Jun 16, 2006
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 *
 */
package com.ibm.websphere.samples.databinding.log;

import java.util.logging.Level;
import java.util.logging.Logger;



/**
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 *
 * @author zlainwala
 */
public class BindingLogUtil {

	//	BEGIN COPYRIGHT VARIABLE
	public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2006.";	//$NON-NLS-$1
	// END COPYRIGHT VARIABLE
	/**
	 * Automatically generated constructor for utility class
	 */
	private BindingLogUtil() {
	}

	/**
	 * Intialize logger for the classname
     * @param className
     * @return
     */
    public static Logger initLogger(String className){
    	try {
            Logger log = Logger.getLogger(className);
            log.log(Level.ALL,"Got the logger for " + className);  //$NON-NLS-1$
            return log;

        } catch (Exception ex) {
            com.ibm.ws.ffdc.FFDCFilter.processException(ex, "com.ibm.wbiserver.databinding.Util.BindingUtil.initLogger", "19");  //$NON-NLS-2$  //$NON-NLS-1$
            return Logger.getLogger(className);
        }
	}

    /**
     * Log the entry of the method
     * @param logger
     * @param className
     * @param message
     */
    public static void logEntry(Logger logger, String className, String message)
    {
        if (logger.isLoggable(Level.INFO)) {
            logger.entering(className, message);
        }
    }

	/**
	 * Log the exit of the method
	 * @param logger
	 * @param className
	 * @param message
	 */
    public static void logExit(Logger logger, String className, String message)
    {
        if (logger.isLoggable(Level.INFO)) {
            logger.exiting(className, message);
        }
    }
}
